## octave 3.2.3-maemo0

=== doc/Makefile ===
#
# Makefile for octave's doc directory
#
# John W. Eaton
# jwe@octave.org

TOPDIR = ..

srcdir = .
top_srcdir = ..
abs_top_srcdir = /home/simon/build/Octave/octave-3.2.3


include $(TOPDIR)/Makeconf

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

SOURCES =

DISTFILES = $(addprefix $(srcdir)/, Makefile.in ChangeLog conf.texi.in texinfo.tex)

SUBDIRS = faq interpreter liboctave refcard

DISTSUBDIRS = $(SUBDIRS)

all: conf.texi $(SUBDIRS)
.PHONY: all

conf.texi: conf.texi.in $(TOPDIR)/Makeconf
	@$(do-subst-texinfo-vals)

../BUGS ../INSTALL.OCTAVE:
	$(MAKE) -C interpreter ../$@
.PHONY: ../BUGS ../INSTALL.OCTAVE

$(SUBDIRS):
	$(MAKE) -C $@ all
.PHONY: $(SUBDIRS)

install install-strip uninstall clean mostlyclean distclean maintainer-clean::
	@$(subdir-for-command)
.PHONY: install install-strip uninstall
.PHONY: clean mostlyclean distclean maintainer-clean

tags TAGS:: $(SOURCES)
	$(SUBDIR_FOR_COMMAND)

tags::
	ctags $(SOURCES)

TAGS:: $(SOURCES)
	etags $(SOURCES)

distclean::
	rm -f Makefile

maintainer-clean::
	rm -f tags TAGS Makefile

dist:
	ln $(DISTFILES) ../`cat ../.fname`/doc
	for dir in $(DISTSUBDIRS); do mkdir ../`cat ../.fname`/doc/$$dir; $(MAKE) -C $$dir $@; done
.PHONY: dist

=== emacs/Makefile ===
# Makefile for octave's emacs directory
#
# Copyright (C) 1997, 1998, 1999, 2003, 2005, 2006, 2007, 2008 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ..

srcdir = .
top_srcdir = ..


include $(TOPDIR)/Makeconf

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

EL_FILES = octave-hlp.el octave-inf.el octave-mod.el

SOURCES = $(EL_FILES) octave-tags

DISTFILES = $(addprefix $(srcdir)/, Makefile.in $(EL_FILES) octave-tags octave-tags.1 NEWS FIXME README)

all:
.PHONY: all

install install-strip:
	$(INSTALL_SCRIPT) octave-tags $(DESTDIR)$(bindir)/octave-tags
.PHONY: install install-strip

uninstall:
	rm -f $(DESTDIR)$(bindir)/octave-tags
.PHONY: uninstall

tags:
	ctags $(SOURCES)

TAGS: $(SOURCES)
	etags $(SOURCES)

clean mostlyclean:
.PHONY: clean mostlyclean

distclean:
	rm -f Makefile
.PHONY: distclean

maintainer-clean: distclean
	rm -f tags TAGS
.PHONY: maintainer-clean

dist:
	ln $(DISTFILES) ../`cat ../.fname`/emacs
.PHONY: dist

=== examples/Makefile ===
# Makefile for octave's examples directory
#
# Copyright (C) 1996, 1997, 2003, 2005, 2006, 2007, 2008, 2009 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ..

srcdir = .
top_srcdir = ..


include $(TOPDIR)/Makeconf

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

SUBDIRS = @polynomial @FIRfilter

DISTSUBDIRS = $(SUBDIRS)

SCRIPTS = info-emacs-info info-emacs-octave-help

SOURCES = \
  addtwomatrices.cc \
  celldemo.cc \
  embedded.cc \
  firstmexdemo.c \
  fortdemo.cc \
  fortsub.f \
  funcdemo.cc \
  globaldemo.cc \
  hello.cc \
  helloworld.cc \
  make_int.cc \
  mycell.c \
  myfeval.c \
  myfevalf.f \
  myfunc.c \
  myhello.c \
  mypow2.c \
  myprop.c \
  myset.c \
  mysparse.c \
  mystring.c \
  mystruct.c \
  octave.desktop.in \
  oregonator.cc \
  oregonator.m \
  paramdemo.cc \
  standalone.cc \
  stringdemo.cc \
  structdemo.cc \
  unwinddemo.cc

IMAGE_FILES = $(srcdir)/octave-sombrero.png
IMAGE_FILES_NO_DIR = $(notdir $(IMAGE_FILES))

DISTFILES = $(addprefix $(srcdir)/, Makefile.in $(SOURCES) $(SCRIPTS)) \
	 $(IMAGE_FILES)

all: $(SUBDIRS) octave.desktop
.PHONY: all

$(SUBDIRS):
	$(MAKE) -C $@ all
.PHONY: $(SUBDIRS)

octave.desktop: octave.desktop.in Makefile ../Makeconf
	echo "making $@ from $<"
	$(SED) < $< > $@-t \
	  -e "s|%OCTAVE_IMAGEDIR%|${imagedir}|" \
	  -e "s|%OCTAVE_PREFIX%|${prefix}|"
	mv $@-t $@

install install-strip:
	for f in $(SCRIPTS); do \
	  $(INSTALL_SCRIPT) $(srcdir)/$$f $(DESTDIR)$(archlibdir)/$$f; \
	done
	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(imagedir)
	for f in $(IMAGE_FILES_NO_DIR); do \
	  rm -f $(DESTDIR)$(imagedir)/$$f; \
	  $(INSTALL_DATA) $(srcdir)/$$f $(DESTDIR)$(imagedir)/$$f; \
	done
	-if test -n "$(DESKTOP_FILE_INSTALL)"; then \
	  $(DESKTOP_FILE_INSTALL) --dir=$(DESTDIR)$(datadir)/applications \
	    --vendor www.octave.org octave.desktop; \
	fi
.PHONY: install install-strip

uninstall:
	for f in $(SCRIPTS); do \
	  rm -f $(DESTDIR)$(archlibdir)/$$f; \
	done
	for f in $(IMAGE_FILES_NO_DIR); do \
	  rm -f $(DESTDIR)$(imagedir)/$$f; \
	done
	if test -n "$(DESKTOP_FILE_INSTALL)"; then \
	  rm -f $(DESTDIR)$(datadir)/applications/www.octave.org-octave.desktop; \
	fi
.PHONY: uninstall

tags:
	ctags $(SOURCES)

TAGS: $(SOURCES)
	etags $(SOURCES)

clean mostlyclean:
.PHONY: clean mostlyclean

distclean::
	rm -f Makefile octave.desktop
.PHONY: distclean

maintainer-clean:: distclean
	rm -f tags TAGS
.PHONY: maintainer-clean

distclean maintainer-clean::
	@$(subdir-for-command)

dist:
	ln $(DISTFILES) ../`cat ../.fname`/examples
	for dir in $(DISTSUBDIRS); do mkdir ../`cat ../.fname`/examples/$$dir; $(MAKE) -C $$dir $@; done
.PHONY: dist

=== src/Makefile ===
# Makefile for octave's src directory
#
# Copyright (C) 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001,
#               2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ..

srcdir = .
top_srcdir = ..
VPATH = ./DLD-FUNCTIONS:./OPERATORS:./TEMPLATE-INST

include $(TOPDIR)/Makeconf

DLL_CDEFS = 
DLL_CXXDEFS = 

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

PT_FLAGS = -fexternal-templates -fno-implicit-templates
CXXFLAGS_NO_PT_FLAGS = $(filter-out $(PT_FLAGS), $(ALL_CXXFLAGS))

%.df : %.cc
	@echo making $@ from $<
	@(echo "// DO NOT EDIT!  Generated automatically by mkdefs." ; \
	  echo " XDEFUN_FILE_NAME (\"$<\")" ; \
	  egrep '^(///*|/\*) *PKG_ADD:' $< ; \
	  $(CXXCPP) $(CPPFLAGS) $(CXXFLAGS_NO_PT_FLAGS) -DMAKE_BUILTINS $< \
	    | $(srcdir)/mkdefs) > $@-t
	@mv $@-t $@

# How to make a .oct file from a .o file:

ifeq ($(ENABLE_DYNAMIC_LINKING), true)
  ifdef CXXPICFLAG
    %.oct : pic/%.o octave$(EXEEXT)
	  $(DL_LD) $(DL_LDFLAGS) -o $@ $< $(OCT_LINK_DEPS)
  else
    %.oct : %.o octave$(EXEEXT)
	  $(DL_LD) $(DL_LDFLAGS) -o $@ $< $(OCT_LINK_DEPS)
  endif
endif

OPT_BASE := $(addsuffix -opts, DASPK DASRT DASSL LSODE Quad)
OPT_HANDLERS := $(addsuffix .cc, $(OPT_BASE))
OPT_IN := $(addprefix ../liboctave/, $(addsuffix .in, $(OPT_BASE)))
OPT_INC := $(addprefix ../liboctave/, $(addsuffix .h, $(OPT_BASE)))

DLD_XSRC := amd.cc balance.cc besselj.cc betainc.cc bsxfun.cc \
	cellfun.cc chol.cc ccolamd.cc colamd.cc colloc.cc \
	conv2.cc convhulln.cc daspk.cc dasrt.cc dassl.cc det.cc \
	dispatch.cc dlmread.cc dmperm.cc eig.cc eigs.cc fft.cc \
	fft2.cc fftn.cc fftw.cc filter.cc find.cc fltk_backend.cc \
	gammainc.cc gcd.cc getgrent.cc getpwent.cc getrusage.cc \
	givens.cc hess.cc hex2num.cc inv.cc kron.cc lookup.cc \
	lsode.cc lu.cc luinc.cc matrix_type.cc max.cc md5sum.cc \
	pinv.cc qr.cc quad.cc qz.cc rand.cc rcond.cc regexp.cc \
	schur.cc sparse.cc spparms.cc sqrtm.cc svd.cc syl.cc \
	symrcm.cc symbfact.cc time.cc tsearch.cc typecast.cc \
	urlwrite.cc __contourc__.cc __delaunayn__.cc \
	__dsearchn__.cc __glpk__.cc __lin_interpn__.cc \
	__magick_read__.cc __pchip_deriv__.cc __qp__.cc \
	__voronoi__.cc __convn__.cc

DLD_SRC := $(addprefix DLD-FUNCTIONS/, $(DLD_XSRC))

DLD_OBJ_1 := $(patsubst %.l, %.o, $(DLD_XSRC))
DLD_OBJ := $(patsubst %.cc, %.o, $(DLD_OBJ_1))

ifeq ($(ENABLE_DYNAMIC_LINKING), true)
  OCT_FILES := $(patsubst %.o, %.oct, $(DLD_OBJ))
  ifdef CXXPICFLAG
    DLD_PICOBJ := $(addprefix pic/, $(DLD_OBJ))
  else
    DLD_PICOBJ := $(DLD_OBJ)
  endif
else
  DLD_STATIC_OBJ := $(DLD_OBJ)
endif

OV_INTTYPE_INC := ov-base-int.h ov-int-traits.h ov-intx.h \
	ov-int8.h ov-int16.h ov-int32.h ov-int64.h \
	ov-uint8.h ov-uint16.h ov-uint32.h ov-uint64.h

OV_INCLUDES := ov-re-mat.h ov-cx-mat.h ov-ch-mat.h ov-cs-list.h ov-list.h \
	ov-struct.h ov-scalar.h ov-range.h ov-complex.h \
	ov-colon.h ov-base.h ov-base-mat.h ov-base-scalar.h \
	ov-str-mat.h ov-bool-mat.h ov-null-mat.h ov-bool.h \
	ov-base-diag.h ov-re-diag.h ov-flt-re-diag.h ov-cx-diag.h \
	ov-flt-cx-diag.h ov-perm.h \
	ov-cell.h ov.h ov-fcn.h ov-builtin.h ov-dld-fcn.h \
	ov-mex-fcn.h ov-usr-fcn.h ov-fcn-handle.h \
	ov-fcn-inline.h ov-class.h ov-typeinfo.h ov-type-conv.h \
	ov-flt-re-mat.h ov-flt-cx-mat.h ov-float.h ov-flt-complex.h \
	$(OV_INTTYPE_INC)

OV_SPARSE_INCLUDES := \
	ov-base-sparse.h ov-bool-sparse.h ov-cx-sparse.h ov-re-sparse.h

PT_INCLUDES := pt.h pt-all.h pt-arg-list.h pt-assign.h pt-binop.h \
        pt-bp.h pt-cbinop.h pt-cell.h pt-check.h pt-cmd.h pt-colon.h \
	pt-const.h pt-decl.h pt-eval.h pt-except.h pt-exp.h pt-fcn-handle.h \
	pt-id.h pt-idx.h pt-jump.h pt-loop.h pt-mat.h pt-misc.h \
	pt-pr-code.h pt-select.h pt-stmt.h pt-unop.h pt-walk.h

INCLUDES := Cell.h base-list.h builtins.h c-file-ptr-stream.h \
	comment-list.h debug.h defun-dld.h defun-int.h defun.h \
	dirfns.h display.h dynamic-ld.h error.h file-io.h gl-render.h \
	gripes.h help.h input.h lex.h load-path.h load-save.h ls-hdf5.h \
	ls-mat-ascii.h ls-mat4.h ls-mat5.h ls-oct-ascii.h ls-ascii-helper.h \
	ls-oct-binary.h ls-utils.h mex.h mexproto.h oct-errno.h \
	oct-fstrm.h oct-hdf5.h oct-hist.h oct-iostrm.h oct-map.h oct-obj.h \
	oct-prcstrm.h oct-procbuf.h oct-stdstrm.h oct-stream.h \
	zfstream.h oct-strstrm.h oct-lvalue.h oct.h octave.h ops.h \
	pager.h parse.h pr-output.h procstream.h sighandlers.h \
	siglist.h sparse-xdiv.h sparse-xpow.h symtab.h sysdep.h \
	token.h toplev.h unwind-prot.h utils.h variables.h \
	version.h xdiv.h xnorm.h xpow.h \
	$(OV_INCLUDES) \
	$(PT_INCLUDES) \
	$(OV_SPARSE_INCLUDES)

TI_XSRC := Array-os.cc Array-tc.cc

TI_SRC := $(addprefix TEMPLATE-INST/, $(TI_XSRC))

INTTYPE_OP_XSRC := op-int-concat.cc op-int-conv.cc \
	op-i8-i8.cc op-i16-i16.cc op-i32-i32.cc op-i64-i64.cc \
	op-ui8-ui8.cc op-ui16-ui16.cc op-ui32-ui32.cc op-ui64-ui64.cc

SPARSE_OP_XSRC := op-bm-sbm.cc op-b-sbm.cc op-cm-scm.cc op-cm-sm.cc \
	op-cs-scm.cc op-cs-sm.cc op-m-scm.cc op-m-sm.cc op-sbm-b.cc \
	op-sbm-bm.cc op-sbm-sbm.cc op-scm-cm.cc op-scm-cs.cc op-scm-m.cc \
	op-scm-s.cc op-scm-scm.cc op-scm-sm.cc op-sm-cm.cc \
	op-sm-cs.cc op-sm-m.cc op-sm-s.cc op-sm-scm.cc op-sm-sm.cc \
	op-s-scm.cc op-s-sm.cc

DOUBLE_OP_XSRC := op-double-conv.cc op-cm-cm.cc op-cm-cs.cc op-cm-m.cc \
	op-cm-s.cc op-cs-cm.cc op-cs-cs.cc op-cs-m.cc \
	op-cs-s.cc op-m-cm.cc \
	op-m-cs.cc op-m-m.cc op-m-s.cc op-s-cm.cc \
	op-s-cs.cc op-s-m.cc op-s-s.cc 

FLOAT_OP_XSRC := op-float-conv.cc op-fcm-fcm.cc op-fcm-fcs.cc op-fcm-fm.cc \
	op-fcm-fs.cc op-fcs-fcm.cc op-fcs-fcs.cc op-fcs-fm.cc \
	op-fcs-fs.cc op-fm-fcm.cc \
	op-fm-fcs.cc op-fm-fm.cc op-fm-fs.cc op-fs-fcm.cc \
	op-fs-fcs.cc op-fs-fm.cc op-fs-fs.cc 

DIAG_OP_XSRC := op-cdm-cdm.cc op-cdm-cm.cc op-cdm-cs.cc op-cdm-dm.cc \
	op-cdm-m.cc op-cdm-s.cc op-cm-cdm.cc op-cm-dm.cc op-dm-cdm.cc \
	op-dm-cm.cc op-dm-cs.cc op-dm-dm.cc op-dm-m.cc op-dm-s.cc \
	op-m-cdm.cc op-m-dm.cc op-dm-sm.cc op-dm-scm.cc

FDIAG_OP_XSRC := op-fcdm-fcdm.cc op-fcdm-fcm.cc op-fcdm-fcs.cc op-fcdm-fdm.cc \
	op-fcdm-fm.cc op-fcdm-fs.cc op-fcm-fcdm.cc op-fcm-fdm.cc \
	op-fdm-fcdm.cc op-fdm-fcm.cc op-fdm-fcs.cc op-fdm-fdm.cc \
	op-fdm-fm.cc op-fdm-fs.cc op-fm-fcdm.cc op-fm-fdm.cc

PERM_OP_XSRC := op-cm-pm.cc op-fcm-pm.cc op-fm-pm.cc op-pm-fcm.cc \
	op-pm-fm.cc op-m-pm.cc op-pm-cm.cc op-pm-m.cc op-pm-pm.cc \
	op-pm-sm.cc op-pm-scm.cc

OP_XSRC :=  op-b-b.cc op-b-bm.cc op-bm-b.cc op-bm-bm.cc op-cell.cc \
	op-chm.cc op-class.cc op-list.cc op-range.cc op-str-m.cc \
	op-str-s.cc op-str-str.cc op-struct.cc \
	$(DOUBLE_OP_XSRC) $(FLOAT_OP_XSRC) $(INTTYPE_OP_XSRC) \
	$(SPARSE_OP_XSRC) $(DIAG_OP_XSRC) $(FDIAG_OP_XSRC) $(PERM_OP_XSRC)

OP_SRC := $(addprefix OPERATORS/, $(OP_XSRC))

OP_INCLUDES := OPERATORS/op-int.h \
	OPERATORS/op-dm-template.cc OPERATORS/op-dms-template.cc OPERATORS/op-pm-template.cc

OV_INTTYPE_SRC := \
	ov-int8.cc ov-int16.cc ov-int32.cc ov-int64.cc \
	ov-uint8.cc ov-uint16.cc ov-uint32.cc ov-uint64.cc

OV_SPARSE_SRC := \
	ov-base-sparse.cc ov-bool-sparse.cc ov-cx-sparse.cc ov-re-sparse.cc

OV_SRC := ov-base.cc ov-ch-mat.cc \
	ov-cs-list.cc ov-list.cc ov-re-mat.cc ov-cx-mat.cc \
	ov-range.cc ov-scalar.cc ov-complex.cc ov-str-mat.cc \
	ov-struct.cc \
	ov-colon.cc ov-bool-mat.cc ov-bool.cc ov-null-mat.cc ov-cell.cc \
	ov.cc ov-fcn.cc ov-builtin.cc ov-dld-fcn.cc \
	ov-mex-fcn.cc ov-usr-fcn.cc ov-fcn-handle.cc ov-fcn-inline.cc \
	ov-class.cc ov-typeinfo.cc \
	ov-flt-re-mat.cc ov-flt-cx-mat.cc ov-float.cc ov-flt-complex.cc \
	ov-re-diag.cc ov-flt-re-diag.cc ov-cx-diag.cc ov-flt-cx-diag.cc \
	ov-perm.cc \
	$(OV_INTTYPE_SRC) \
	$(OV_SPARSE_SRC)

PT_SRC := pt.cc pt-arg-list.cc pt-assign.cc pt-bp.cc pt-binop.cc \
	pt-cbinop.cc pt-cell.cc pt-check.cc pt-cmd.cc pt-colon.cc \
	pt-const.cc pt-decl.cc pt-eval.cc pt-except.cc pt-exp.cc \
	pt-fcn-handle.cc pt-id.cc pt-idx.cc pt-jump.cc pt-loop.cc \
	pt-mat.cc pt-misc.cc pt-pr-code.cc pt-select.cc pt-stmt.cc \
	pt-unop.cc

DIST_SRC := Cell.cc bitfcns.cc c-file-ptr-stream.cc comment-list.cc \
	cutils.c data.cc debug.cc defaults.cc defun.cc dirfns.cc \
	display.cc dynamic-ld.cc error.cc file-io.cc gl-render.cc \
	graphics.cc gripes.cc help.cc input.cc lex.l load-path.cc \
	load-save.cc ls-hdf5.cc ls-mat-ascii.cc ls-mat4.cc \
	ls-mat5.cc ls-oct-ascii.cc ls-ascii-helper.cc \
	ls-oct-binary.cc ls-utils.cc main.c mappers.cc matherr.c \
	mex.cc oct-fstrm.cc oct-hist.cc oct-iostrm.cc oct-map.cc \
	oct-obj.cc oct-prcstrm.cc oct-procbuf.cc oct-stream.cc \
	octave.cc zfstream.cc oct-strstrm.cc oct-lvalue.cc pager.cc \
	parse.y pr-output.cc procstream.cc sighandlers.cc \
	siglist.c sparse-xdiv.cc sparse-xpow.cc strfns.cc \
	syscalls.cc symtab.cc sysdep.cc token.cc toplev.cc \
	unwind-prot.cc utils.cc variables.cc xdiv.cc xnorm.cc xpow.cc \
	$(OV_SRC) \
	$(PT_SRC)

SOURCES := $(DIST_SRC) $(OP_SRC) $(TI_SRC)

BUILT_EXTRAS := graphics.h mxarray.h

EXTRAS := ov-base-int.cc ov-base-mat.cc ov-base-diag.cc ov-base-scalar.cc graphics-props.cc

EXTRA_OBJECTS := oct-errno.o octave.o builtins.o ops.o

INCLUDES_FOR_INSTALL := $(INCLUDES) $(EXTRAS) $(BUILT_EXTRAS)

OBJECTS_4 := $(notdir $(SOURCES))
OBJECTS_3 := $(patsubst %.l, %.o, $(OBJECTS_4))
OBJECTS_2 := $(patsubst %.y, %.o, $(OBJECTS_3))
OBJECTS_1 := $(patsubst %.c, %.o, $(OBJECTS_2))
OBJECTS := $(patsubst %.cc, %.o, $(OBJECTS_1)) $(EXTRA_OBJECTS)

ifeq ($(SHARED_LIBS), true)
  ifdef CXXPICFLAG
    PICOBJ := $(addprefix pic/, $(OBJECTS))
  else
    PICOBJ := $(OBJECTS)
  endif
endif

# Ugh.

DEP_5 := $(SOURCES) $(DLD_SRC) builtins.cc oct-errno.cc ops.cc main.c
DEP_4 := $(notdir $(DEP_5))
DEP_3 := $(patsubst %.l, %.cc, $(DEP_4))
DEP_2 := $(patsubst %.y, %.cc, $(DEP_3))
DEP_1 := $(patsubst %.c, %.d, $(DEP_2))
MAKEDEPS := $(patsubst %.cc, %.d, $(DEP_1))

# Some stupid egreps don't like empty elements in alternation patterns,
# so we have to repeat ourselves because some stupid egreps don't like
# empty elements in alternation patterns.

DEFUN_PATTERN = "^[ \t]*DEF(CONSTFUN|CMD|UN|UN_DLD|UNX_DLD|UN_TEXT)[ \t]*\\("

DLD_DEF_FILES_1 := $(patsubst %.l, %.df, $(DLD_XSRC))
DLD_DEF_FILES := $(patsubst %.cc, %.df, $(DLD_DEF_FILES_1))

DEF_4 := $(addprefix $(srcdir)/, $(SOURCES))
DEF_3 := $(notdir $(shell egrep -l $(DEFUN_PATTERN) $(DEF_4)))
DEF_2 := $(patsubst %.y, %.df, $(DEF_3))
DEF_1 := $(patsubst %.l, %.df, $(DEF_2))
DEF_FILES := $(patsubst %.cc, %.df, $(DEF_1)) $(DLD_DEF_FILES)

DOC_FILES := $(sort $(DEF_FILES))

OCTAVE_LFLAGS = -L$(TOPDIR)/liboctave -L$(TOPDIR)/libcruft \
  -L$(TOPDIR)/src $(RLD_FLAG)

ifeq ($(ENABLE_DYNAMIC_LINKING), true)
  OCTAVE_LIBS = $(LIBOCTINTERP) $(LIBOCTAVE) \
    $(SPECIAL_MATH_LIB) $(LIBCRUFT) \
    $(LIBPLPLOT) $(LIBGLOB)
else
  OCTAVE_LIBS = $(LIBOCTINTERP) $(LIBOCTAVE) $(QHULL_LIBS) \
    $(GLPK_LIBS) $(MAGICK_LIBS) $(REGEX_LIBS) $(SPECIAL_MATH_LIB) $(LIBCRUFT) \
    $(LIBPLPLOT) $(LIBGLOB)
endif

OCTINTERP_LINK_DEPS = \
  -L../liboctave $(LIBOCTAVE) -L../libcruft $(LIBCRUFT) $(LIBS) $(FLIBS) \
  $(X11_LIBS) $(OPENGL_LIBS) $(CARBON_LIBS)

OCT_LINK_DEPS = \
  -L../libcruft $(LIBCRUFT) -L../liboctave $(LIBOCTAVE) \
  -L. $(LIBOCTINTERP) $(CHOLMOD_LIBS) $(UMFPACK_LIBS) $(AMD_LIBS) \
   $(CAMD_LIBS) $(COLAMD_LIBS) $(CCOLAMD_LIBS) $(CXSPARSE_LIBS) $(BLAS_LIBS) \
   $(FFTW_LIBS) $(QRUPDATE_LIBS) $(ARPACK_LIBS) $(LIBS) $(FLIBS)

BUILT_DISTFILES = DOCSTRINGS oct-gperf.h parse.cc lex.cc y.tab.h \
	$(OPT_HANDLERS) $(BUILT_EXTRAS)

=== test/Makefile ===
# Makefile for octave's test directory
#
# Copyright (C) 1994, 1995, 1996, 1997, 1998, 2001, 2002, 2006, 2007
#               John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ..

srcdir = .
top_srcdir = ..


include $(TOPDIR)/Makeconf

SOURCES = $(wildcard $(srcdir)/test_*.m)

DISTFILES = $(addprefix $(srcdir)/, ChangeLog Makefile.in \
	build_sparse_tests.sh fntests.m) $(SOURCES)

OCTAVE_BINARY = ../src/octave

ifeq ($(SHARED_LIBS), true)
  OCTAVE_LD_LIBRARY_PATH = `pwd`/../src:`pwd`/../liboctave:`pwd`/../libcruft
  ifeq ($(LD_LIBRARY_PATH),)
    XLD_LIBRARY_PATH = $(OCTAVE_LD_LIBRARY_PATH)
  else
    XLD_LIBRARY_PATH = $(OCTAVE_LD_LIBRARY_PATH):$(LD_LIBRARY_PATH)
  endif
  SET_LD_LIBRARY_PATH = LD_LIBRARY_PATH="$(XLD_LIBRARY_PATH)"
endif

all: check
.PHONY: all

check: test_sparse.m
	../run-octave --norc --silent --no-history $(srcdir)/fntests.m $(srcdir)
.PHONY: check

test_sparse.m: build_sparse_tests.sh
	$(srcdir)/build_sparse_tests.sh

install install-strip: all
.PHONY: install install-strip

uninstall:
.PHONY: uninstall

tags: $(SOURCES)
	ctags $(SOURCES)

TAGS: $(SOURCES)
	etags $(SOURCES)

clean:
	rm -f fntests.log a.wav
.PHONY: clean

mostlyclean:
.PHONY: mostlyclean

distclean: clean
	rm -f Makefile test_sparse.m
.PHONY: distclean

maintainer-clean: distclean
	rm -f tags TAGS
.PHONY: maintainer-clean

dist:
	ln $(DISTFILES) ../`cat ../.fname`/test
.PHONY: dist

=== doc/faq/Makefile ===
# Makefile for octave's doc/faq directory
#
# Copyright (C) 1996, 1997, 1998, 1999, 2001, 2002, 2003, 2004, 2005,
#               2006, 2007 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ../..

srcdir = .
top_srcdir = ../..


include $(TOPDIR)/Makeconf

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

SOURCES =

TEXINFO := Octave-FAQ.texi

FORMATTED := Octave-FAQ.info Octave-FAQ.dvi Octave-FAQ.ps Octave-FAQ.pdf

DISTFILES := $(addprefix $(srcdir)/, Makefile.in $(TEXINFO) $(FORMATTED))

SPELL := $(patsubst %.texi, %.spell, $(ALL_TEXINFO))

%.spell : %.texi
	rm -f $@
	$(SED) -e 's/@@/ at /g' -e 's/@[a-zA-Z]*//g' $< | spell > $@.tmp
	mv $@.tmp $@

all: Octave-FAQ.info Octave-FAQ.dvi Octave-FAQ.ps Octave-FAQ.pdf Octave-FAQ.html
.PHONY: all

Octave-FAQ.info: $(TEXINFO)
	-$(MAKEINFO) -I.. -I$(srcdir) -I$(srcdir)/.. $<

Octave-FAQ.dvi: $(TEXINFO)
	-TEXINPUTS="..:$(srcdir):$(srcdir)/..:$(TEXINPUTS):" \
	  $(TEXI2DVI) $<

Octave-FAQ.ps: Octave-FAQ.dvi
	-dvips -o $@ $<

Octave-FAQ.pdf: $(TEXINFO)
	-TEXINPUTS="..:$(srcdir):$(srcdir)/..:$(TEXINPUTS):" \
	  $(TEXI2PDF) $<

Octave-FAQ.html: $(TEXINFO)
	-$(MAKEINFO) --html --ifinfo --no-split --output=$@ -I.. -I$(srcdir) -I$(srcdir)/.. $<

check install install-strip uninstall:
.PHONY: check install install-strip uninstall

tags: $(SOURCES)
	ctags $(SOURCES)

TAGS: $(SOURCES)
	etags $(SOURCES)

spell: $(SPELL)
.PHONY: spell

mostlyclean clean:
	rm -f Octave-FAQ.cp Octave-FAQ.fn Octave-FAQ.ky Octave-FAQ.pg \
	Octave-FAQ.tp Octave-FAQ.vr Octave-FAQ.cps Octave-FAQ.fns \
	Octave-FAQ.kys Octave-FAQ.pgs Octave-FAQ.tps Octave-FAQ.vrs \
	Octave-FAQ.aux	Octave-FAQ.log Octave-FAQ.toc
.PHONY: mostlyclean clean

distclean: clean
	rm -f Makefile
.PHONY: distclean

maintainer-clean: distclean
	rm -f tags TAGS Octave-FAQ.info Octave-FAQ.info-*
	rm -f Octave-FAQ.dvi Octave-FAQ.ps Octave-FAQ.pdf
	rm -f Octave-FAQ.html
.PHONY: maintainer-clean

dist: all
	ln $(DISTFILES) ../../`cat ../../.fname`/doc/faq
.PHONY: dist

=== doc/interpreter/Makefile ===
# Makefile for octave's doc/interpreter directory
#
# Copyright (C) 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001,
#               2002, 2003, 2005, 2006, 2007, 2008, 2009 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ../..

srcdir = .
top_srcdir = ../..


include $(TOPDIR)/Makeconf

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

SCRIPT_SOURCES = sparseimages.m interpimages.m geometryimages.m plotimages.m

POLYNOMIAL_FILES_NODIR = \
  display.m \
  double.m \
  end.m \
  get.m \
  mtimes.m \
  plot.m \
  polynomial.m \
  polynomial_superiorto.m \
  polyval.m \
  set.m \
  subsasgn.m \
  subsref.m

EXAMPLE_FILES_NODIR = \
  addtwomatrices.cc \
  celldemo.cc \
  firstmexdemo.c \
  fortdemo.cc \
  fortsub.f \
  funcdemo.cc \
  globaldemo.cc \
  helloworld.cc \
  mycell.c \
  myfeval.c \
  myfunc.c \
  mypow2.c \
  mysparse.c \
  mystring.c \
  mystruct.c \
  paramdemo.cc \
  stringdemo.cc \
  structdemo.cc \
  unwinddemo.cc \
  $(addprefix @polynomial/, $(POLYNOMIAL_FILES_NODIR))

EXAMPLE_FILES = $(addprefix $(top_srcdir)/examples/, $(EXAMPLE_FILES_NODIR))

GEOMETRYIMAGES = voronoi triplot griddata convhull delaunay inpolygon
GEOMETRYIMAGES_EPS = $(addsuffix .eps, $(GEOMETRYIMAGES))
GEOMETRYIMAGES_PDF = $(addsuffix .pdf, $(GEOMETRYIMAGES))
GEOMETRYIMAGES_PNG = $(addsuffix .png, $(GEOMETRYIMAGES))
GEOMETRYIMAGES_TXT = $(addsuffix .txt, $(GEOMETRYIMAGES))

PLOTIMAGES = plot hist errorbar polar mesh plot3 extended
PLOTIMAGES_EPS = $(addsuffix .eps, $(PLOTIMAGES))
PLOTIMAGES_PDF = $(addsuffix .pdf, $(PLOTIMAGES))
PLOTIMAGES_PNG = $(addsuffix .png, $(PLOTIMAGES))
PLOTIMAGES_TXT = $(addsuffix .txt, $(PLOTIMAGES))

INTERPIMAGES = interpft interpn interpderiv1 interpderiv2
INTERPIMAGES_EPS = $(addsuffix .eps, $(INTERPIMAGES))
INTERPIMAGES_PDF = $(addsuffix .pdf, $(INTERPIMAGES))
INTERPIMAGES_PNG = $(addsuffix .png, $(INTERPIMAGES))
INTERPIMAGES_TXT = $(addsuffix .txt, $(INTERPIMAGES))

SPARSEIMAGES_1 = gplot grid spmatrix spchol spcholperm
SPARSEIMAGES_EPS = $(addsuffix .eps, $(SPARSEIMAGES_1))
SPARSEIMAGES_PDF = $(addsuffix .pdf, $(SPARSEIMAGES_1))
SPARSEIMAGES_PNG = $(addsuffix .png, $(SPARSEIMAGES_1))
SPARSEIMAGES_TXT = $(addsuffix .txt, $(SPARSEIMAGES_1))

IMAGES_EPS = $(SPARSEIMAGES_EPS) $(INTERPIMAGES_EPS) \
	$(GEOMETRYIMAGES_EPS) $(PLOTIMAGES_EPS)
IMAGES_PDF = $(SPARSEIMAGES_PDF) $(INTERPIMAGES_PDF) \
	$(GEOMETRYIMAGES_PDF) $(PLOTIMAGES_PDF)
IMAGES_PNG = $(SPARSEIMAGES_PNG) $(INTERPIMAGES_PNG) \
	$(GEOMETRYIMAGES_PNG) $(PLOTIMAGES_PNG)
IMAGES_TXT = $(SPARSEIMAGES_TXT) $(INTERPIMAGES_TXT) \
	$(GEOMETRYIMAGES_TXT) $(PLOTIMAGES_TXT)

HTML_IMAGES_PNG = $(addprefix HTML/, $(IMAGES_PNG))

IMAGES = $(IMAGES_EPS) $(IMAGES_PDF) $(IMAGES_PNG) $(IMAGES_TXT)

SUB_SOURCE := arith.txi audio.txi basics.txi bugs.txi \
	container.txi contrib.txi cp-idx.txi data.txi \
	debug.txi diffeq.txi diagperm.txi dynamic.txi emacs.txi \
	errors.txi eval.txi expr.txi fn-idx.txi func.txi geometry.txi \
	gpl.txi grammar.txi image.txi install.txi interp.txi \
	intro.txi io.txi linalg.txi matrix.txi nonlin.txi numbers.txi \
	oop.txi op-idx.txi optim.txi package.txi plot.txi poly.txi preface.txi \
	quad.txi set.txi signal.txi sparse.txi stats.txi \
	stmt.txi strings.txi system.txi testfun.txi tips.txi var.txi

SOURCES := $(SUB_SOURCE) $(SCRIPT_SOURCES)

MAIN_TEXINFO := $(srcdir)/octave.texi

SUB_TEXINFO := $(SUB_SOURCE:.txi=.texi)

# Don't list ../conf.texi here.
TEXINFO_SOURCE := $(MAIN_TEXINFO) $(SUB_TEXINFO) contributors.texi

TEXINFO := $(TEXINFO_SOURCE) ../conf.texi

# Do not use --output option argument, because this is not supported
# by MiKTeX (compilation under Windows/MSVC assumes the use of MiKTeX
# to build the doc).  Instead, copy the source .texi using the
# targeted file name (e.g. to generate octave-a4.pdf, copy to
# octave-a4.texi) and call texi2[dvi|pdf] on it.

TEXI2DVICOMMAND = TEXINPUTS="..$(sepchar)$(srcdir)$(sepchar)$(srcdir)/..$(sepchar)$(TEXINPUTS)$(sepchar)" \
	TEXMFCNF="..$(sepchar)$(srcdir)$(sepchar)$(srcdir)/..$(sepchar)$(TEXINPUTS)$(sepchar)" \
	  $(TEXI2DVI)

TEXI2PDFCOMMAND = TEXINPUTS="..$(sepchar)$(srcdir)$(sepchar)$(srcdir)/..$(sepchar)$(TEXINPUTS)$(sepchar)" \
	TEXMFCNF="..$(sepchar)$(srcdir)$(sepchar)$(srcdir)/..$(sepchar)$(TEXMFCNF)$(sepchar)" \
	  $(TEXI2PDF)

FORMATTED = octave.info octave.pdf octave-a4.pdf octave.info-[0-9]*

MAN_BASE := mkoctfile octave octave-bug octave-config
MAN_SRC := $(addsuffix .1, $(MAN_BASE))

# FIXME -- need to include generated figures here...
DISTFILES = $(addprefix $(srcdir)/, Makefile.in contributors.in \
  mkcontrib.awk dir  munge-texi.cc $(MAN_SRC) $(SOURCES) $(MAIN_TEXINFO)) \
  $(SUB_TEXINFO) contributors.texi $(FORMATTED) $(IMAGES) mk_doc_cache.m \
  doc-cache stmp-html

DISTDIRS = HTML

DISTSUBDIRS :=

SUBDIRS :=

# Look for version.h to get version information.
xfiles := $(TOPDIR)/src/version.h $(srcdir)/$(TOPDIR)/src/version.h

version_file := $(firstword $(foreach file, $(xfiles), $(wildcard $(file))))

SPELL = $(patsubst %.texi, %.spell, $(TEXINFO))

%.spell : %.texi
	rm -f $@
	$(SED) -e 's/@@/ at /g' -e 's/@[a-zA-Z]*//g' $< | spell > $@-t
	mv $@-t $@

all: octave.info octave.pdf octave-a4.pdf HTML/index.html doc-cache
.PHONY: all

DOCSTRING_FILES := $(TOPDIR)/src/DOCSTRINGS $(TOPDIR)/scripts/DOCSTRINGS

doc-cache: $(DOCSTRING_FILES) mk_doc_cache.m
	$(TOPDIR)/run-octave -f -q -H $(srcdir)/mk_doc_cache.m doc-cache $(DOCSTRING_FILES) || rm -f doc-cache

$(TEXINFO): $(DOCSTRING_FILES) munge-texi$(BUILD_EXEEXT)

munge-texi$(BUILD_EXEEXT): munge-texi.cc
	$(BUILD_CXX) $(BUILD_CXXFLAGS) -o $@ $^ $(BUILD_LDFLAGS)

$(DOCSTRING_FILES):
	$(MAKE) -C $(dir $@) $(notdir $@)

contributors.texi: contributors.in
	$(AWK) -f $(srcdir)/mkcontrib.awk $(srcdir)/contributors.in > $@-t
	mv $@-t $@

octave-a4.texi: $(MAIN_TEXINFO)
	cp $< $@

octave-smallbook.texi: $(MAIN_TEXINFO)
	cp $< $@

$(SUB_TEXINFO) : %.texi : %.txi
	./munge-texi $(foreach f, $(DOCSTRING_FILES), -d $(f)) < $< > $@-t
	mv $@-t $@

octave.info: $(IMAGES_TXT) $(TEXINFO) $(EXAMPLE_FILES)
	-$(MAKEINFO) -I.. -I$(srcdir) -I$(srcdir)/.. $(MAIN_TEXINFO)

octave.dvi: $(IMAGES_EPS) $(TEXINFO) $(EXAMPLE_FILES)
	-TEXINPUTS="..$(sepchar)$(srcdir)$(sepchar)$(srcdir)/..$(sepchar)$(TEXINPUTS)$(sepchar)" \
	  $(TEXI2DVI) $(MAIN_TEXINFO)

octave-a4.dvi: $(IMAGES_EPS) $(TEXINFO) $(EXAMPLE_FILES) octave-a4.texi
	-$(TEXI2DVICOMMAND) octave-a4.texi -t @afourpaper

octave-smallbook.dvi: $(IMAGES_EPS) $(TEXINFO) $(EXAMPLE_FILES) octave-smallbook.texi
	-$(TEXI2DVICOMMAND) octave-smallbook.texi -t @smallbook

octave.ps: octave.dvi
	-dvips -o $@ $<

octave-a4.ps: octave-a4.dvi
	-dvips -o $@ $<

octave-smallbook.ps: octave-smallbook.dvi
	-dvips -o $@ $<

octave.pdf: $(IMAGES_PDF) $(TEXINFO) $(EXAMPLE_FILES)
	-$(TEXI2PDFCOMMAND) $(MAIN_TEXINFO)

octave-a4.pdf: $(IMAGES_PDF) $(TEXINFO) $(EXAMPLE_FILES) octave-a4.texi
	-$(TEXI2PDFCOMMAND) octave-a4.texi -t @afourpaper

octave-smallbook.pdf: $(IMAGES_PDF) $(TEXINFO) $(EXAMPLE_FILES) octave-smallbook.texi
	-$(TEXI2PDFCOMMAND) octave-smallbook.texi -t @smallbook

../../INSTALL.OCTAVE: install.texi
	rm -f INSTALL
	-$(MAKEINFO) -D INSTALLONLY \
	  --no-validate --no-headers --no-split --output INSTALL \
	  -I.. -I$(srcdir) -I$(srcdir)/.. $<
	mv INSTALL ../../INSTALL.OCTAVE

../../BUGS: bugs.texi
	rm -f BUGS
	-$(MAKEINFO) -D BUGSONLY \
	  --no-validate --no-headers --no-split --output BUGS \
	  -I.. -I$(srcdir) -I$(srcdir)/.. $<
	mv BUGS ../../BUGS

HTML/index.html: $(HTML_IMAGES_PNG) $(TEXINFO) $(EXAMPLE_FILES)
	-$(MAKEINFO) --html --ifinfo --output=HTML -I.. -I$(srcdir) -I$(srcdir)/.. $(MAIN_TEXINFO)

stmp-html: HTML
	@if [ -f stmp-html ]; then \
	  true; \
	else \
	  echo "touch stmp-html"; \
	  touch stmp-html; \
	fi

HTML:
	@if [ -d HTML ]; then \
	  true; \
	else \
	  echo "mkdir HTML"; \
	  mkdir HTML; \
	fi

$(HTML_IMAGES_PNG): HTML/%.png : %.png stmp-html
	cp $(filter-out html-dir, $<) HTML

define run-octave
  $(TOPDIR)/run-octave -f -q -H -p $(srcdir) \
    --eval "$(notdir $(basename $<)) ('$(notdir $(basename $@))', '$(patsubst .%,%, $(suffix $@))');"
endef

$(GEOMETRYIMAGES_EPS) $(GEOMETRYIMAGES_PNG) $(GEOMETRYIMAGES_TXT): geometryimages.m
	$(run-octave)

$(PLOTIMAGES_EPS) $(PLOTIMAGES_PNG) $(PLOTIMAGES_TXT): plotimages.m
	$(run-octave)

$(INTERPIMAGES_EPS) $(INTERPIMAGES_PNG) $(INTERPIMAGES_TXT): interpimages.m
	$(run-octave)

$(SPARSEIMAGES_EPS) $(SPARSEIMAGES_PNG) $(SPARSEIMAGES_TXT): sparseimages.m
	$(run-octave)

$(IMAGES_PDF) : %.pdf : %.eps
	if [ -f $< ] ; then $(GHOSTSCRIPT) -dBATCH -dEPSCrop -dNOPAUSE -q -sDEVICE=pdfwrite -sOutputFile=$@ $< ; fi

check: all
.PHONY: check

install install-strip: all
	@$(subdir-for-command)
	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(man1dir) $(DESTDIR)$(infodir) $(DESTDIR)$(octetcdir)
	@if test -d $(DESTDIR)$(man1dir); then \
	  for f in $(MAN_BASE); do \
	    rm -f $(DESTDIR)$(man1dir)/$$f$(man1ext); \
	    echo "installing $(srcdir)/$$f.1 in $(DESTDIR)$(man1dir)"; \
	    $(INSTALL_DATA) $(srcdir)/$$f.1 $(DESTDIR)$(man1dir)/$$f$(man1ext); \
	  done ; \
	fi
	@if test -d $(DESTDIR)$(infodir); then \
	  rm -f $(DESTDIR)$(infodir)/octave.info*; \
	  echo "installing info files in $(DESTDIR)$(infodir)"; \
	  if test -f octave.info; then \
	    for f in octave.info*; do \
	      $(INSTALL_DATA) $$f $(DESTDIR)$(infodir)/$$f; \
	    done; \
	  else \
	    for f in $(srcdir)/octave.info*; do \
	      $(INSTALL_DATA) $$f $(DESTDIR)$(infodir)/`basename $$f`; \
	    done; \
	  fi; \
	  if test -f $(DESTDIR)$(infodir)/dir; then \
	    if grep "^\* Octave: (octave)." $(DESTDIR)$(infodir)/dir > /dev/null; then \
	      true; \
	    else \
	      echo ""; \
	      echo "You should add the following entry"; \
	      echo ""; \
	      echo "* Octave: (octave)."; \
	      echo "	Interactive language for numerical computations."; \
	      echo ""; \
	      echo "to $(DESTDIR)$(infodir)/dir."; \
	      echo ""; \
	    fi; \
	  else \
	    echo "installing $(srcdir)/dir in $(DESTDIR)$(infodir)"; \
	    $(INSTALL_DATA) $(srcdir)/dir $(DESTDIR)$(infodir)/dir; \
	  fi; \
	fi
	$(INSTALL_DATA) doc-cache $(DESTDIR)$(octetcdir)/doc-cache
.PHONY: install install-strip

uninstall:
	@$(subdir-for-command)
	rm -f $(DESTDIR)$(infodir)/octave.info*
	rm -f $(DESTDIR)$(infodir)/dir
	rm -f $(DESTDIR)$(octetcdir)/doc-cache
	for f in $(MAN_BASE); do rm -f $(DESTDIR)$(man1dir)/$$f$(man1ext); done
.PHONY: uninstall

tags: $(SOURCES)
	ctags $(SOURCES)

TAGS: $(SOURCES)
	etags $(SOURCES)

spell: $(SPELL)
.PHONY: spell

mostlyclean clean:
	@$(subdir-for-command)
	rm -f octave.cp octave.fn octave.in \
	octave.ky octave.op octave.pg octave.rd octave.tp octave.vr \
	octave.cps octave.fns octave.ins octave.kys octave.ops \
	octave.pgs octave.rds octave.tps octave.vrs octave.aux \
	octave.log octave.toc \
	munge-texi$(BUILD_EXEEXT) munge-texi.o \
	octave-a4.cp octave-a4.fn octave-a4.in \
	octave-a4.ky octave-a4.op octave-a4.pg octave-a4.rd octave-a4.tp octave-a4.vr \
	octave-a4.cps octave-a4.fns octave-a4.ins octave-a4.kys octave-a4.ops \
	octave-a4.pgs octave-a4.rds octave-a4.tps octave-a4.vrs octave-a4.aux \
	octave-a4.log octave-a4.toc \
	octave-smallbook.cp octave-smallbook.fn octave-smallbook.in \
	octave-smallbook.ky octave-smallbook.op octave-smallbook.pg octave-smallbook.rd octave-smallbook.tp octave-smallbook.vr \

=== examples/@polynomial/Makefile ===
# Makefile for octave's scripts/geometry directory
#
# Copyright (C) 2007, 2008, 2009 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ../..

script_sub_dir = @polynomial

srcdir = .
top_srcdir = ../..


include $(TOPDIR)/Makeconf

define do-mkpkgadd
$(top_srcdir)/scripts/mkpkgadd $(srcdir) > PKG_ADD.t
if [ -n "`cat PKG_ADD.t`" ]; then \
  mv PKG_ADD.t PKG_ADD ; \
else \
  rm -f PKG_ADD.t ; \
fi
endef

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

SOURCES = \
  display.m \
  double.m \
  end.m \
  get.m \
  mtimes.m \
  plot.m \
  polynomial.m \
  polynomial_superiorto.m \
  polyval.m \
  roots.m \
  set.m \
  subsasgn.m \
  subsref.m

DISTFILES = $(addprefix $(srcdir)/, Makefile.in $(SOURCES))

FCN_FILES = $(addprefix $(srcdir)/, $(SOURCES))
FCN_FILES_NO_DIR = $(notdir $(FCN_FILES))

all: PKG_ADD
.PHONY: all

install install-strip:
.PHONY: install install-strip

uninstall:
.PHONY: uninstall

clean:
.PHONY: clean

PKG_ADD: $(FCN_FILES)
	@echo "making PKG_ADD"
	@$(do-mkpkgadd)

tags: $(SOURCES)
	ctags $(SOURCES)

TAGS: $(SOURCES)
	etags $(SOURCES)

mostlyclean: clean
.PHONY: mostlyclean

distclean: clean
	rm -f Makefile PKG_ADD
.PHONY: distclean

maintainer-clean: distclean
	rm -f tags TAGS
.PHONY: maintainer-clean

dist:
	ln $(DISTFILES) ../../`cat ../../.fname`/examples/$(script_sub_dir)
.PHONY: dist

check-m-sources:
	@$(do-check-m-sources)
.PHONY: check-m-sources

=== libcruft/blas-xtra/Makefile ===
# Makefile for octave's libcruft/blas-xtra directory
#
# Copyright (C) 2000, 2007, 2008 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ../..

srcdir = .
top_srcdir = ../..


EXTERNAL_DISTFILES = $(DISTFILES)

FSRC = xddot.f xdnrm2.f xdznrm2.f xzdotc.f xzdotu.f \
	xsdot.f xsnrm2.f xscnrm2.f xcdotc.f xcdotu.f \
	xerbla.f

include $(TOPDIR)/Makeconf

include ../Makerules

=== libcruft/blas/Makefile ===
# Makefile for octave's libcruft/blas directory
#
# Copyright (C) 1993, 1994, 1995, 2007, 2008, 2009 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ../..

srcdir = .
top_srcdir = ../..


EXTERNAL_DISTFILES = $(DISTFILES)

FSRC = dasum.f daxpy.f dcabs1.f dcopy.f ddot.f dgemm.f dgemv.f \
  dger.f dmach.f dnrm2.f drot.f dscal.f dswap.f dsymv.f dsyr.f dsymm.f \
  dsyr2.f dsyr2k.f dsyrk.f dtbsv.f dtrmm.f dtrmv.f dtrsm.f dtrsv.f \
  dzasum.f dznrm2.f icamax.f idamax.f isamax.f izamax.f lsame.f sdot.f \
  sgemm.f sgemv.f sscal.f ssyrk.f strsm.f zaxpy.f zcopy.f zdotc.f \
  zdotu.f zdrot.f zdscal.f zgemm.f zgemv.f zgerc.f zgeru.f zhemv.f zhemm.f \
  zher.f zher2.f zher2k.f zherk.f zscal.f zswap.f zsyrk.f ztbsv.f ztrmm.f \
  ztrmv.f ztrsm.f ztrsv.f sasum.f saxpy.f scabs1.f scopy.f \
  sger.f smach.f snrm2.f srot.f sswap.f ssymv.f ssyr.f ssymm.f \
  ssyr2.f ssyr2k.f stbsv.f strmm.f strmv.f strsv.f \
  scasum.f scnrm2.f caxpy.f ccopy.f cdotc.f cdotu.f chemm.f \
  csrot.f csscal.f cgemm.f cgemv.f cgerc.f cgeru.f chemv.f cher.f \
  cher2.f cher2k.f cherk.f cscal.f cswap.f csyrk.f ctbsv.f ctrmm.f ctrmv.f \
  ctrsm.f ctrsv.f

include $(TOPDIR)/Makeconf

include ../Makerules

=== libcruft/dasrt/Makefile ===
# Makefile for octave's libcruft/dasrt directory
#
# Copyright (C) 2002, 2007 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ../..

srcdir = .
top_srcdir = ../..


EXTERNAL_DISTFILES = $(DISTFILES)

FSRC = ddasrt.f drchek.f droots.f

include $(TOPDIR)/Makeconf

include ../Makerules

=== libcruft/lapack/Makefile ===
# Makefile for octave's libcruft/lapack directory
#
# Copyright (C) 1993, 1994, 1995, 2005, 2007, 2008 John W. Eaton
#
# This file is part of Octave.
# 
# Octave is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
# 
# Octave is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Octave; see the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

TOPDIR = ../..

srcdir = .
top_srcdir = ../..


EXTERNAL_DISTFILES = $(DISTFILES)

FSRC = 	cbdsqr.f cgbcon.f cgbtf2.f cgbtrf.f cgbtrs.f cgbtrs.f \
	cgebak.f cgebal.f cgebd2.f cgebrd.f cgecon.f cgecon.f \
	cgeesx.f cgeev.f cgehd2.f cgehrd.f cgelq2.f cgelq2.f \
	cgelqf.f cgelsd.f cgelss.f cgelsy.f cgeqp3.f cgeqp3.f \
	cgeqpf.f cgeqr2.f cgeqrf.f cgesvd.f cgesv.f cgesv.f \
	cgetf2.f cgetrf.f cgetri.f cgetrs.f cggbak.f cggbak.f \
	cggbal.f cggev.f cgghrd.f cgtsv.f cgttrf.f cgttrf.f \
	cgttrs.f cgtts2.f cheev.f chetd2.f chetrd.f chetrd.f \
	chgeqz.f chseqr.f clabrd.f clacgv.f clacn2.f clacn2.f \
	clacon.f clacpy.f cladiv.f clahqr.f clahr2.f clahr2.f \
	clahrd.f claic1.f clals0.f clalsa.f clalsd.f clalsd.f \
	clange.f clanhe.f clanhs.f clantr.f claqp2.f claqp2.f \
	claqps.f claqr0.f claqr1.f claqr2.f claqr3.f claqr3.f \
	claqr4.f claqr5.f clarfb.f clarf.f clarfg.f clarfg.f \
	clarft.f clarfx.f clartg.f clarzb.f clarz.f clarz.f \
	clarzt.f clascl.f claset.f clasr.f classq.f classq.f \
	claswp.f clatbs.f clatrd.f clatrs.f clatrz.f clatrz.f \
	clauu2.f clauum.f cpbcon.f cpbtf2.f cpbtrf.f cpbtrf.f \
	cpbtrs.f cpocon.f cpotf2.f cpotrf.f cpotri.f cpotri.f \
	cpotrs.f cptsv.f cpttrf.f cpttrs.f cptts2.f cptts2.f \
	crot.f csrscl.f csteqr.f ctgevc.f ctrcon.f ctrcon.f \
	ctrevc.f ctrexc.f ctrsen.f ctrsyl.f ctrti2.f ctrti2.f \
	ctrtri.f ctrtrs.f ctzrzf.f cung2l.f cung2r.f cung2r.f \
	cungbr.f cunghr.f cungl2.f cunglq.f cungql.f cungql.f \
	cungqr.f cungtr.f cunm2r.f cunmbr.f cunml2.f cunml2.f \
	cunmlq.f cunmqr.f cunmr3.f cunmrz.f dbdsqr.f dbdsqr.f \
	dgbcon.f dgbtf2.f dgbtrf.f dgbtrs.f dgebak.f dgebak.f \
	dgebal.f dgebd2.f dgebrd.f dgecon.f dgeesx.f dgeesx.f \
	dgeev.f dgehd2.f dgehrd.f dgelq2.f dgelqf.f dgelqf.f \
	dgelsd.f dgelss.f dgelsy.f dgeqp3.f dgeqpf.f dgeqpf.f \
	dgeqr2.f dgeqrf.f dgesvd.f dgesv.f dgetf2.f dgetf2.f \
	dgetrf.f dgetri.f dgetrs.f dggbak.f dggbal.f dggbal.f \
	dggev.f dgghrd.f dgtsv.f dgttrf.f dgttrs.f dgttrs.f \
	dgtts2.f dhgeqz.f dhseqr.f dlabad.f dlabrd.f dlabrd.f \
	dlacn2.f dlacon.f dlacpy.f dladiv.f dlae2.f dlae2.f \
	dlaed6.f dlaev2.f dlaexc.f dlag2.f dlahqr.f dlahqr.f \
	dlahr2.f dlahrd.f dlaic1.f dlaln2.f dlals0.f dlals0.f \
	dlalsa.f dlalsd.f dlamc1.f dlamc2.f dlamc3.f dlamc3.f \
	dlamc4.f dlamc5.f dlamch.f dlamrg.f dlange.f dlange.f \
	dlanhs.f dlanst.f dlansy.f dlantr.f dlanv2.f dlanv2.f \
	dlapy2.f dlapy3.f dlaqp2.f dlaqps.f dlaqr0.f dlaqr0.f \
	dlaqr1.f dlaqr2.f dlaqr3.f dlaqr4.f dlaqr5.f dlaqr5.f \
	dlarfb.f dlarf.f dlarfg.f dlarft.f dlarfx.f dlarfx.f \
	dlartg.f dlarzb.f dlarz.f dlarzt.f dlas2.f dlas2.f \
	dlascl.f dlasd0.f dlasd1.f dlasd2.f dlasd3.f dlasd3.f \
	dlasd4.f dlasd5.f dlasd6.f dlasd7.f dlasd8.f dlasd8.f \
	dlasda.f dlasdq.f dlasdt.f dlaset.f dlasq1.f dlasq1.f \
	dlasq2.f dlasq3.f dlasq4.f dlasq5.f dlasq6.f dlasq6.f \
	dlasr.f dlasrt.f dlassq.f dlasv2.f dlaswp.f dlaswp.f \
	dlasy2.f dlatbs.f dlatrd.f dlatrs.f dlatrz.f dlatrz.f \
	dlauu2.f dlauum.f dlazq3.f dlazq4.f dorg2l.f dorg2l.f \
	dorg2r.f dorgbr.f dorghr.f dorgl2.f dorglq.f dorglq.f \
	dorgql.f dorgqr.f dorgtr.f dorm2r.f dormbr.f dormbr.f \
	dorml2.f dormlq.f dormqr.f dormr3.f dormrz.f dormrz.f \
	dpbcon.f dpbtf2.f dpbtrf.f dpbtrs.f dpocon.f dpocon.f \
	dpotf2.f dpotrf.f dpotri.f dpotrs.f dptsv.f dptsv.f \
	dpttrf.f dpttrs.f dptts2.f drscl.f dsteqr.f dsteqr.f \
	dsterf.f dsyev.f dsytd2.f dsytrd.f dtgevc.f dtgevc.f \
	dtrcon.f dtrevc.f dtrexc.f dtrsen.f dtrsyl.f dtrsyl.f \
	dtrti2.f dtrtri.f dtrtrs.f dtzrzf.f dzsum1.f dzsum1.f \
	icmax1.f ieeeck.f ilaenv.f iparmq.f izmax1.f izmax1.f \
	sbdsqr.f scsum1.f sgbcon.f sgbtf2.f sgbtrf.f sgbtrf.f \
	sgbtrs.f sgebak.f sgebal.f sgebd2.f sgebrd.f sgebrd.f \
	sgecon.f sgeesx.f sgeev.f sgehd2.f sgehrd.f sgehrd.f \
	sgelq2.f sgelqf.f sgelsd.f sgelss.f sgelsy.f sgelsy.f \
	sgeqp3.f sgeqpf.f sgeqr2.f sgeqrf.f sgesvd.f sgesvd.f \
	sgesv.f sgetf2.f sgetrf.f sgetri.f sgetrs.f sgetrs.f \
	sggbak.f sggbal.f sggev.f sgghrd.f sgtsv.f sgtsv.f \
	sgttrf.f sgttrs.f sgtts2.f shgeqz.f shseqr.f shseqr.f \
	slabad.f slabrd.f slacn2.f slacon.f slacpy.f slacpy.f \
	sladiv.f slae2.f slaed6.f slaev2.f slaexc.f slaexc.f \
	slag2.f slahqr.f slahr2.f slahrd.f slaic1.f slaic1.f \
	slaln2.f slals0.f slalsa.f slalsd.f slamc1.f slamc1.f \
	slamc2.f slamc3.f slamc4.f slamc5.f slamch.f slamch.f \
	slamrg.f slange.f slanhs.f slanst.f slansy.f slansy.f \
	slantr.f slanv2.f slapy2.f slapy3.f slaqp2.f slaqp2.f \
	slaqps.f slaqr0.f slaqr1.f slaqr2.f slaqr3.f slaqr3.f \
	slaqr4.f slaqr5.f slarfb.f slarf.f slarfg.f slarfg.f \
	slarft.f slarfx.f slartg.f slarzb.f slarz.f slarz.f \
	slarzt.f slas2.f slascl.f slasd0.f slasd1.f slasd1.f \
	slasd2.f slasd3.f slasd4.f slasd5.f slasd6.f slasd6.f \
	slasd7.f slasd8.f slasda.f slasdq.f slasdt.f slasdt.f \
	slaset.f slasq1.f slasq2.f slasq3.f slasq4.f slasq4.f \
	slasq5.f slasq6.f slasr.f slasrt.f slassq.f slassq.f \
	slasv2.f slaswp.f slasy2.f slatbs.f slatrd.f slatrd.f \
	slatrs.f slatrz.f slauu2.f slauum.f slazq3.f slazq3.f \
	slazq4.f sorg2l.f sorg2r.f sorgbr.f sorghr.f sorghr.f \
	sorgl2.f sorglq.f sorgql.f sorgqr.f sorgtr.f sorgtr.f \
	sorm2r.f sormbr.f sorml2.f sormlq.f sormqr.f sormqr.f \
	sormr3.f sormrz.f spbcon.f spbtf2.f spbtrf.f spbtrf.f \
	spbtrs.f spocon.f spotf2.f spotrf.f spotri.f spotri.f \
	spotrs.f sptsv.f spttrf.f spttrs.f sptts2.f sptts2.f \
	srscl.f ssteqr.f ssterf.f ssyev.f ssytd2.f ssytd2.f \
	ssytrd.f stgevc.f strcon.f strevc.f strexc.f strexc.f \
	strsen.f strsyl.f strti2.f strtri.f strtrs.f strtrs.f \
	stzrzf.f zbdsqr.f zdrscl.f zgbcon.f zgbtf2.f zgbtf2.f \
	zgbtrf.f zgbtrs.f zgebak.f zgebal.f zgebd2.f zgebd2.f \
	zgebrd.f zgecon.f zgeesx.f zgeev.f zgehd2.f zgehd2.f \
	zgehrd.f zgelq2.f zgelqf.f zgelsd.f zgelss.f zgelss.f \
	zgelsy.f zgeqp3.f zgeqpf.f zgeqr2.f zgeqrf.f zgeqrf.f \
	zgesvd.f zgesv.f zgetf2.f zgetrf.f zgetri.f zgetri.f \
	zgetrs.f zggbak.f zggbal.f zggev.f zgghrd.f zgghrd.f \
	zgtsv.f zgttrf.f zgttrs.f zgtts2.f zheev.f zheev.f \
	zhetd2.f zhetrd.f zhgeqz.f zhseqr.f zlabrd.f zlabrd.f \
	zlacgv.f zlacn2.f zlacon.f zlacpy.f zladiv.f zladiv.f \
	zlahqr.f zlahr2.f zlahrd.f zlaic1.f zlals0.f zlals0.f \
	zlalsa.f zlalsd.f zlange.f zlanhe.f zlanhs.f zlanhs.f \
	zlantr.f zlaqp2.f zlaqps.f zlaqr0.f zlaqr1.f zlaqr1.f \
	zlaqr2.f zlaqr3.f zlaqr4.f zlaqr5.f zlarfb.f zlarfb.f \
	zlarf.f zlarfg.f zlarft.f zlarfx.f zlartg.f zlartg.f \
	zlarzb.f zlarz.f zlarzt.f zlascl.f zlaset.f zlaset.f \
	zlasr.f zlassq.f zlaswp.f zlatbs.f zlatrd.f zlatrd.f \
	zlatrs.f zlatrz.f zlauu2.f zlauum.f zpbcon.f zpbcon.f \
	zpbtf2.f zpbtrf.f zpbtrs.f zpocon.f zpotf2.f zpotf2.f \
	zpotrf.f zpotri.f zpotrs.f zptsv.f zpttrf.f zpttrf.f \
	zpttrs.f zptts2.f zrot.f zsteqr.f ztgevc.f ztgevc.f \
	ztrcon.f ztrevc.f ztrexc.f ztrsen.f ztrsyl.f ztrsyl.f \
	ztrti2.f ztrtri.f ztrtrs.f ztzrzf.f zung2l.f zung2l.f \
	zung2r.f zungbr.f zunghr.f zungl2.f zunglq.f zunglq.f \
	zungql.f zungqr.f zungtr.f zunm2r.f zunmbr.f zunmbr.f \
	zunml2.f zunmlq.f zunmqr.f zunmr3.f zunmrz.f zunmrz.f \
	chegs2.f chegst.f chegv.f dsygs2.f dsygst.f dsygv.f \
	ssygs2.f ssygst.f ssygv.f zhegs2.f zhegst.f zhegv.f


include $(TOPDIR)/Makeconf

dlamc1.o pic/dlamc1.o: FFLAGS += $(F77_FLOAT_STORE_FLAG)
slamc1.o pic/slamc1.o: FFLAGS += $(F77_FLOAT_STORE_FLAG)

include ../Makerules

=== debian/changelog ===
octave (3.2.3-maemo0) unstable; urgency=low

  * First go

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Wed, 13 Jan 2010 23:31:00 +0000

=== debian/control ===
Source: octave
Section: usr/math
Priority: optional
XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
DM-Upload-Allowed: yes
Build-Depends: fort77, debhelper, autoconf, texinfo,
 libreadline-dev | libreadline6-dev | libreadline5-dev,
 libncurses5-dev, gperf, libsuitesparse-dev, liblapack-dev, libode-dev, libqhull-dev,
 libblas-dev, libfftw3-dev, texi2html,
 less, quilt, libpcre3-dev, flex, gawk, desktop-file-utils
Standards-Version: 3.8.2
Homepage: http://www.octave.org/

Package: octave
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, texinfo, octave-common (= ${source:Version})
Recommends: gnuplot, libatlas3gf-base
Suggests: octave-info,
 octave-headers (= ${binary:Version}),
Replaces: octave (<= 2.0.16-2)
Conflicts: octave (<= 2.0.16-2), octave2.9 (<< 1:3)
Provides: octave
Breaks: octave-ad (<< 1.0.4-2), octave-audio (<< 1.1.2-2),
 octave-bioinfo (<< 0.1.1-2), octave-combinatorics (<< 1.0.7-2),
 octave-communications (<< 1.0.8-2), octave-control (<< 1.0.7-2),
 octave-data-smoothing (<< 1.1.1-2), octave-econometrics (<< 1:1.0.7-3),
 octave-financial (<< 0.3.0-2), octave-fixed (<< 0.7.8-3),
 octave-ftp (<< 1.0.1-3), octave-ga (<< 0.9.4-2), octave-general (<< 1.0.7-2),
 octave-graceplot (<< 1.0.6-2), octave-gsl (<< 1.0.7-2),
 octave-ident (<< 1.0.6-2), octave-image (<< 1.0.8-2),
 octave-informationtheory (<< 0.1.6-2), octave-io (<< 1.0.7-2),
 octave-irsa (<< 1.0.6-2), octave-linear-algebra (<< 1.0.6-2),
 octave-miscellaneous (<< 1.0.7-2), octave-missing-functions (<< 1.0.1-2),
 octave-nan (<< 1.0.7-2), octave-nnet (<< 0.1.8-2),
 octave-octcdf (<< 1.0.11-2), octave-octgpr (<< 1.1.4-3),
 octave-odebvp (<< 1.0.5-2), octave-odepkg (<< 0.6.4-2),
 octave-optim (<< 1.0.4-2), octave-optiminterp (<< 0.3.2-1),
 octave-outliers (<< 0.13.8-2), octave-parallel (<< 1.0.7-2),
 octave-physicalconstants (<< 0.1.6-2), octave-plot (<< 1.0.6-2),
 octave-signal (<< 1.0.8-2), octave-sockets (<< 1.0.5-2),
 octave-specfun (<< 1.0.7-2), octave-splines (<< 1.0.6-2),
 octave-statistics (<< 1.0.7-1), octave-strings (<< 1.0.6-2),
 octave-struct (<< 1.0.6-2), octave-symbolic (<< 1.0.7-2),
 octave-time (<< 1.0.8-2), octave-tsa (<< 4.0.0-2), octave-vrml (<< 1.0.8-2),
 octave-zenity (<< 0.5.6-2)
Description: GNU Octave language for numerical computations (3.0 branch)
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave uses some of the best and most respected numerical libraries as
 balgen, dassl, eispack, fftpack, lapack, linpack, minpack, odepack,
 ranlib, slatec-fn and villad. Octave can be dynamically extended with
 user-supplied C++ files.

Package: octave-headers
Architecture: any
Depends: octave (= ${binary:Version}), ${misc:Depends},
 libreadline-dev | libreadline6-dev | libreadline5-dev, libncurses5-dev, 
 libhdf5-serial-dev (>= 1.6.5)
 | libhdf5-lam-dev (>= 1.6.5) | libhdf5-mpich-dev (>= 1.6.5) | libhdf5-openmpi-dev (>= 1.6.5),
 libblas-dev, liblapack-dev, libfftw3-dev, gfortran, gcc, g++, f2c [m68k]
Conflicts: octave-headers (<< 2.1), octave2.9-headers (<< 1:3)
Provides: octave-headers
Replaces: octave-headers
Description: header files for the GNU Octave language (3.0 branch)
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the include files needed to compile and link
 user-supplied code with GNU Octave. If you only write interpreted .m files,
 you do not need this package.
 .
 The package is architecture-specific as it contains machine-dependent
 compiler switches in the mkoctfile script.


Package: octave-dbg
Section: debug
Priority: extra
Architecture: any
Depends: octave (=${binary:Version}), ${misc:Depends}
Description: Debug symbols for octave
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave uses some of the best and most respected numerical libraries as
 balgen, dassl, eispack, fftpack, lapack, linpack, minpack, odepack,
 ranlib, slatec-fn and villad. Octave can be dynamically extended with
 user-supplied C++ files.
 .
 This package provides the debug symbols.

Package: octave-common
Depends: ${misc:Depends}
Section: devel
Priority: extra
Architecture: all
Description: architecture-independent files for octave
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave uses some of the best and most respected numerical libraries as
 balgen, dassl, eispack, fftpack, lapack, linpack, minpack, odepack,
 ranlib, slatec-fn and villad. Octave can be dynamically extended with
 user-supplied C++ files.
 .
 This package provides the architecture-independent files (Octave scripts
 and other helper files).
